:root{
	--def-background-color: rgba(0, 0, 0, 0.96);
	--def-border-color: rgba(255, 255, 255, 0.08);
}
::-moz-selection {
    color: transparent;
    background: transparent;
}
::selection {
    color: transparent;
    background: transparent;
}
html,*:before,*:after {
    box-sizing: border-box;
}
body {
	margin: 0;
	padding: 0;
    background: var(--def-background-color);
	box-sizing: border-box;
	font-family: Consolas, monospace;
	font-size: 14px;
	font-weight: 300;
	overflow: hidden;
	height: 100%;
}
header {
    position: absolute;
	  z-index: 999;
    top: 0;
    width: 100%;
    height: 40px;
}
.p--logo {
    position: absolute;
    width: 152px;
    height: auto;
    top: 10px;
    left: 10px;
}
.p--logo > img {
	width: inherit;
	height: auto;
	opacity: 0.7;
}
main {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	overflow: hidden;
	-webkit-transition: all 2s linear; 
	-moz-transition: all 2s linear; 
	-o-transition: all 2s linear; 
	transition: all 2s linear;
	z-index: 0;
    background-image: url(/assets/main/img/img_C_24_yft7567665rds33.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

section {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}

.loading-xcom-text {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
    color: #fff;
    align-items: center;
    display: flex;
    justify-content: center;
}
.flash-element {
    /* Initial styles */
    font-size: 18px;
    color: #ff0000; /* Red text color */
    font-weight: bold;
    /* Apply the animation */
    animation: flash_animation 1s infinite steps(1); 
}

/* Define the animation keyframes */
@keyframes flash_animation {
    0%, 100% {
        opacity: 1; /* Fully visible at start and end */
    }
    50% {
        opacity: 0; /* Invisible halfway through */
    }
}
#m_container {
	position: absolute;
	background: linear-gradient(0deg, #0000 50%, #0000 100%); 
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 0;
}
footer {
    position: absolute;
    bottom: 0;
	  right: 0;
    width: 100%;
    height: 40px;
}
.p--text {
	position: absolute;
	right: 10px;
	bottom: 5px;
	margin: 5px;
	color: #999;
	font-size: 11px;
	font-weight: 600;
	text-align: right;
	text-transform: uppercase;	
}
